import java.awt.Color;
import java.util.*;
import javax.swing.UIManager;
import javax.swing.UIDefaults;

/**
    Wyświetla listę wszystkich domyślnych wartości komponentów Swing dla
    domyślnego wyglądu i sposobu działania.
*/
public class SwingDefaults {

    public static void main(String[] args) throws Exception {

        List allValues = new ArrayList();

        // umieszcza wszystkie wartości na liście
        UIDefaults defaults = UIManager.getDefaults();
        Enumeration e = defaults.keys();
        while (e.hasMoreElements()) {
            Object key = e.nextElement();
            Object value = defaults.get(key);
            if (value instanceof Color) {
                allValues.add(key + " = " + value);
            }
        }

        // sortuje i wyświetla wartości z listy
        Collections.sort(allValues);
        for (int i=0; i<allValues.size(); i++) {
            System.out.println(allValues.get(i));
        }

    }
}
